﻿@model MainModel

@{
    var currentUser = Model.User;
    var units = Model.Units;
}

<div class="container shadow p-3 mb-5 bg-white rounded">
    <div class="row">
        <div class="col">
            <h2 class="text-dark">Unit-Liste</h2>
        </div>
        <div class="col text-right">
            <button class="btn btn-info" onclick="refresh()"><i class="fas fa-sync"></i></button>
        </div>
    </div>
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">Kapitel</th>
                <th scope="col">Unit</th>
                <th scope="col">Sprachrichtung</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            @{ foreach (var unit in units)
                {
                    <tr>
                        <td>@unit.KapitelNr</td>
                        <td>@unit.Beschreibung</td>
                        <td>@unit.Sprachrichtung.VonSprache.Name zu @unit.Sprachrichtung.NachSprache.Name</td>
                        <td class="text-right"><button class="btn btn-outline-info" style="min-width: 64px;" onclick="enter_modal(@currentUser.Id, @unit.Id)"><i class="fas fa-search"></i></button></td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>